#
# spec file for package erlang-esip
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name esip

Name:           erlang-%{app_name}
Version:        1.0.28
Release:        1.2
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
Summary:        ProcessOne sip
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/processone/esip
Source:         %{app_name}-%{version}.tar.xz
Patch:          esip_include_system_stun_erl.patch
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-stun >= 1.0.15
BuildRequires:  erlang-fast_tls >= 1.0.16
BuildRequires:  erlang-p1_utils >= 1.0.10
BuildRequires:  erlang-rebar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-devel = %{version}-%{release}
%description
ProcessOne sip

%prep
%setup -q -n %{app_name}-%{version}
%patch -p1

%build
%rebar compile

%install
for dir in ebin include priv ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done
rm -rfv %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/examples/

%check
%rebar eunit

%files
%defattr(-,root,root)
%doc 
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/include
%{erlang_libdir}/%{app_name}-%{app_ver}/include/*.hrl
%{erlang_libdir}/%{app_name}-%{app_ver}/priv

%changelog
* Tue Mar  5 2019 obs-service-tar-scm@invalid
- Update to version 1.0.28:
  * Release 1.0.28
  * Update changelog
  * Add COC and CONTRIBUTION doc
  * Remove gcov badge
  * Disable gcov on travis
  * Update copyright to 2019 (processone/ejabberd#2756)
  * Release 1.0.27
* Mon Feb  5 2018 mrueckert@suse.de
- Update to version 1.0.21:
  * Release 1.0.21
  * Release 1.0.20
  * Release 1.0.19
  * Update changelog
  * Set server name extension for client TLS connections
* Sat Dec 30 2017 mrueckert@suse.de
- Update to version 1.0.18:
  * Release 1.0.18
* Thu Nov 23 2017 mrueckert@suse.de
- Update to version 1.0.17:
  * Release 1.0.17
* Sat Nov  4 2017 mrueckert@suse.de
- Update to version 1.0.16:
  * Release 1.0.16
  * Update changelog
  * Add Erlang/OTP20.0 compatibility
  * Release 1.0.15
  * Release 1.0.14
  * Release 1.0.13
  * Release version 1.0.12
  * Release 1.0.11
  * Remove calls to erlang:now()
  * Update rebar.config.script
* Mon Jul 10 2017 mrueckert@suse.de
- add devel package provides
* Sun Jul  9 2017 mrueckert@suse.de
- Update to version 1.0.13:
  * Update Fast TLS and Stun
  * Update deps
  * Bump version
  * Update copyright year (processone/ejabberd#1442)
  * Update fast_tls
  * Update rebar.config.script
  * Remove calls to erlang:now()
  * Release 1.0.11
  * Release version 1.0.12
  * Release 1.0.13
* Fri Sep 23 2016 mrueckert@suse.de
- Update to version 1.0.8+git2.4be6633:
  * Update dependencies
  * Release 1.0.7
  * Update dependencies
  * Make sure esip_codec isn't compiled to native code
* Fri Sep 23 2016 mrueckert@suse.de
- update to 4be6633
* Wed Jun 29 2016 mrueckert@suse.de
- Update to version 1.0.5+git0.2480881:
  * Prepare 1.0.5 release
* Sat May 21 2016 mrueckert@suse.de
- update esip_include_system_stun_erl.patch:
  it is no longer p1_stun
* Sat May 21 2016 mrueckert@suse.de
- fix package names in requires
* Sat May 21 2016 mrueckert@suse.de
- Update to version 1.0.4+git1.d201989:
  + Hex.pm metadata
  + Minor
  + Finish migration to Fast TLS
  + Use new repository name for path to stun include
  + Add Travis-CI and Coveralls badges
  + Remove unused code
  + Fast TLS and stun update
  + Upgrade Fast TLS and eSIP
  + Update Fast TLS and stun
  + Fix message drops (#2)
* Tue Nov 24 2015 matwey.kornilov@gmail.com
- Use _service
* Tue Nov 24 2015 matwey.kornilov@gmail.com
- Update to version 0.1.0+git20150722.d662d3f:
  + Update dependency URL for consistency
  + Create README.md
  + Added .gitignore file
  + Update git ignored file list
  + Remove Erlang/OTP version check
  + Make sure we use https scheme for Github URLs
  + .git is not needed in Github URLs
  + Remove ambigous dict() type
* Fri Jul  4 2014 mrueckert@suse.de
- initial package
